{ config, pkgs, lib, ... }:
{
    environment.systemPackages = with pkgs; [
        direnv nix-direnv
        tmux zellij
        wget
        rsync
        git
        gnupg
        file
        ripgrep
        fd
        htop
        ncdu
        ranger nnn joshuto
        hexyl
        rink

        kitty
        kitty-themes
    ] ++ lib.optionals config.services.xserver.enable [
        wine
        pavucontrol
        xsensors

        kitty
        kitty-themes

        firefox
        ungoogled-chromium

        zathura
        gthumb
        vlc

        feh
        xsel
    ];

    fonts.fonts = with pkgs; [
        vollkorn
        alegreya alegreya-sans
        b612
        raleway
    ];
}
