{ pkgs, lib, ... }:
let
    definedInPersonalDotNix = lib.mkDefault (throw "Configuration option missing from personal.nix");
in
{
    users.users = {
        fruchti = {
            isNormalUser = true;
            extraGroups = [ "wheel" "networkmanager" "audio" "video" ];
            openssh.authorizedKeys.keys = definedInPersonalDotNix;
            shell = pkgs.fish;
        };
    };
    users.extraGroups = {
        system = {
            members = [ "fruchti" ];
        };
    };
}
